import request from '@/utils/request'

// 查询入场批次列表
export function listEntranceBatch(query) {
  return request({
    url: '/app/entranceBatch/list',
    method: 'get',
    params: query
  })
}

// 查询入场批次详细
export function getEntranceBatch(id) {
  return request({
    url: '/app/entranceBatch/' + id,
    method: 'get'
  })
}

// 新增入场批次
export function addEntranceBatch(data) {
  return request({
    url: '/app/entranceBatch',
    method: 'post',
    data: data
  })
}

// 修改入场批次
export function updateEntranceBatch(data) {
  return request({
    url: '/app/entranceBatch',
    method: 'put',
    data: data
  })
}

// 删除入场批次
export function delEntranceBatch(id) {
  return request({
    url: '/app/entranceBatch/' + id,
    method: 'delete'
  })
}
